package com.liquidnet.service.consumer.base.receiver.kylin;

import com.liquidnet.service.base.constant.MQConst;
import com.liquidnet.service.consumer.base.receiver.AbstractSqlRedisReceiver;
import org.springframework.stereotype.Component;

@Component
public class ConsumerKylinSqlOrderCreateRdsReceiver extends AbstractSqlRedisReceiver {
    @Override
    protected String getRedisStreamKey() {
        return MQConst.KylinQueue.SQL_ORDER_CREATE.getKey();
    }

    @Override
    protected String getRedisStreamGroup() {
        return MQConst.KylinQueue.SQL_ORDER_CREATE.getGroup();
    }
}
